FLANG

Public Attributes | List of all members
IntrinsicHandler Struct Reference

## Public Attributes
const char * | name
IntrinsicLibrary::Generator | generator
bool | isElemental = true
bool | outline = false

## Detailed Description

Table that drives the fir generation depending on the intrinsic. one to one mapping with Fortran arguments. If no mapping is defined here for a generic intrinsic, genRuntimeCall will be called to look for a match in the runtime a emit a call.

## Member Data Documentation

## ◆ outline

bool IntrinsicHandler::outline = false

Code heavy intrinsic can be outlined to make FIR more readable.

The documentation for this struct was generated from the following file:

- lib/Lower/IntrinsicCall.cpp